package com.bonus.material.device.service;

import com.bonus.common.core.web.domain.AjaxResult;
import com.bonus.material.device.domain.MaDevQc;
import com.bonus.material.device.domain.MaDevRm;

import java.util.List;

/**
 * @Author ma_sh
 * @create 2024/12/5 15:53
 */
public interface MaDevRmService {

    /**
     * 装备质检列表
     * @param maDevQc
     * @return
     */
    List<MaDevRm> selectDevQcList(MaDevRm maDevRm);

    /**
     * 新增设备质检
     * @param maDevQc
     * @return
     */
    AjaxResult insertDevQc(MaDevRm maDevRm);

    /**
     * 删除装备质检
     * @param maDevQc
     * @return
     */
    Integer deleteById(MaDevRm maDevQc);

    List<MaDevRm> selectQcList(MaDevRm maDevRm);
}
